Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513637 - error "undefined method `[]=' for nil:NilClass" while syncing against rhevm 3.6
Summary: error "undefined method `[]=' for nil:NilClass" while syncing against rhevm 3.6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
unspecified
low
Target Milestone: GA
: 5.10.0
Assignee: Piotr Kliczewski
QA Contact: Angelina Nikiforova
URL:
Whiteboard:
Depends On:
Blocks: 1520556 1520557
TreeView+ depends on / blocked
 
Reported: 2017-11-15 17:37 UTC by Felix Dewaleyne
Modified: 2019-04-02 08:23 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1520556 1520557 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:34:48 UTC
Category: Bug
Cloudforms Team: RHEVM


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ ovirt pull 89 None None None 2017-11-24 13:07:06 UTC

Description Felix Dewaleyne 2017-11-15 17:37:44 UTC
Created attachment 1352800 [details]
evm.log.gz affected

Description of problem:
error "undefined method `[]=' for nil:NilClass" while syncing against rhevm 3.6

Version-Release number of selected component (if applicable):
5.8.2

How reproducible:
all the time in lab

Steps to Reproduce:
1.attach the rhevm 3.6 provider from brno
2.initiate a refresh against the provider
3.

Actual results:
[----] E, [2017-11-15T17:04:08.028345 #19310:eb5140] ERROR -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Refresh::Strategies::Api3#refresh) EMS: [brno lab], id: [666000000000005] Refresh failed
[----] E, [2017-11-15T17:04:08.030396 #19310:eb5140] ERROR -- : [NoMethodError]: undefined method `[]=' for nil:NilClass  Method:[rescue in block in refresh]
[----] E, [2017-11-15T17:04:08.030477 #19310:eb5140] ERROR -- : /opt/rh/cfme-gemset/gems/ovirt-0.18.0/lib/ovirt/vm.rb:294:in `parse_xml'
/opt/rh/cfme-gemset/gems/ovirt-0.18.0/lib/ovirt/base.rb:7:in `create_from_xml'
/opt/rh/cfme-gemset/gems/ovirt-0.18.0/lib/ovirt/service.rb:42:in `xml_to_object'


Expected results:
refresh is able to pull information from the provider and populate cloudforms

Additional info:
see attachment for full info

Comment 5 Brandon Dunne 2017-12-04 15:11:52 UTC
Piotr, I released ovirt gem v0.18.1

Comment 6 Piotr Kliczewski 2017-12-04 15:15:07 UTC
Great, thank you!


Note You need to log in before you can comment on or make changes to this bug.